Summary: lcm-profile - Local Configuration Manager default profile
Name: lcm-profile
Version: 0
%define date 20080812
Release: %date.1
BuildArch: noarch
Group: quattor/System
Vendor: CERN
Packager: Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
License: GPL
Source0: http://cern.ch/Jaroslaw.Polok/quattor/%{name}-%{version}-%{date}.tar



BuildRequires: panc >= 6

# just need the pro_declaration_component_*.tpl, but these can apparently live in two different directories..
# so we require the full components.
BuildRequires: ncm-afsclt   
BuildRequires: ncm-krb5clt >= 2.0.6
BuildRequires: ncm-pine >= 1.2.5
BuildRequires: ncm-srvtab   
#BuildRequires: ncm-zephyrclt
BuildRequires: ncm-sendmail >= 1.4.1 
BuildRequires: ncm-security
BuildRequires: ncm-ntpd >= 1.0.9

#Requires: lcm - not really ... it's just a file
BuildRoot: %{_tmppath}/%{name}-root

# and we hookup dependencies for components here
# like this the automagic system will pull new ones when needed
Requires: ncm-afsclt >= 1.3.1
#Requires: ncm-zephyrclt
Requires: ncm-srvtab
Requires: ncm-krb4clt
Requires: ncm-pine >= 1.2.5
# format changes for krb5
Requires: ncm-krb5clt >= 2.0.6
Requires: ncm-sendmail >= 1.4.1
Requires: ncm-security
Requires: ncm-ntpd
Requires: ncm-chkconfig
Requires: ncm-nscd


%description
The lcm-profile supplies default profile for locally managed machines.
(used by lcm - the front end for invoking NCM configuration components via ncm-ncd.)


%prep
%setup -q -n %{name}-%{version}

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/lcm/

install -m 444 profile_standalone.xml $RPM_BUILD_ROOT/usr/share/lcm/

%files
%defattr(-, root, root)
%config(noreplace) /usr/share/lcm/profile_standalone.xml
%doc README *.tpl

%post
( /usr/sbin/lcm --update || : ) &
pid=$!
i=30  #timeout
while [ "$i" -gt 0 ]; do
  sleep 1
  if ! kill -0 $pid >& /dev/null; then
  	# lcm finished in time
	break
  fi
  let i--
done
if [ "$i" = 0 ]; then
  echo "timeout for lcm, backgrounding it"
fi

%changelog
* Tue Aug 12 2008 Jan Iven <jan.iven@cern.ch> - 0-20000812
- pine: disable PLAIN, req. from IT-IS
- pull in ncm-ntpd, ncm-chkconfig, ncm-nscd in preparation for config changes later

* Wed Oct 17 2007 Jan Iven <jan.iven@cern.ch> - 0-20071017
- pine:
  disable GSSAPI, req. for Exchange2007 at CERN (needs ncm-pine >= 1.2.5),
  remove NNTP server config
- set minimum_uid=100 for pam_krb5 to keep system account scans out of KDC logs
- disable zephyr config, no longer used at CERN

* Tue Oct 31 2006 Jan Iven <jan.iven>
- fix PATH to panc

* Tue Oct 24 2006 Jan Iven <jan.iven@cern.ch>
- configure Kerberos ticket lifetime via PAM, only affects SLC3

* Mon Jul 03 2006 Jan Iven  <jan.iven@cern.ch>
- (kerberos) PAM config via ncm-afsclt
- add config for ntpd
- use Make to avoid rebuilds

* Tue May 23 2006 Jan Iven <jan.iven@cern.ch>
- unified .spec for SLC3 and SLC4, new template path

* Tue Feb 14 2006 Jan Iven <jan.iven@cern.ch>
- sendmail: unset local user list, use guessing algorithm
- sendmail: fix smarthost mail.cern -> cern.ch (typo)
- pine: authenticated SMTP by default  (request from J.Chorier)
- pine: ldap name attr to displayName (request from J.Chorier)
- afsclt: change to use http for CellServDB, needs ncm-afsclt>=1.3
- background lcm in %post

* Fri Jan 20 2006 Jan Iven <jan.iven@cern.ch>
- sendmail-smarthost: smtp.cern.ch -> cern.ch, C.Boissat
- krb4: add realm for cern.ch (required for MIT)
- krb5: new config structure, new KDCs/Admin/Password
 
* Sat Oct 15 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added security.

* Fri Oct 01 2004  Jan Iven <jan.iven@cern.ch>
- added sendmail. Change to "buildrequire" the actual template files from the
  components. Dropped ldapclt. Made the XML result config(noreplace).

* Wed Jun 30 2004  Jan Iven <jan.iven@cern.ch>
- added krb5clt, changed pine setting as per Julian's spec.

* Fri Mar 12 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed pine settings

* Sat Mar 6 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build (weekend was rainy ;-))

